> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse and resolve a feed payload into a PREVIEW revision and a signed baseline (HITL)



## OpenAPI

````yaml /openapi/storefront.yaml post /api/v2/storefront/inventory-sources/{id}/feed/preview
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}/feed/preview:
    post:
      tags:
        - Inventory Sources
      summary: >-
        Parse and resolve a feed payload into a PREVIEW revision and a signed
        baseline (HITL)
      operationId: postStorefrontInventorySourcesByIdFeedPreview
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                contractId:
                  type: string
                  enum:
                    - static-avails-feed:v1
                    - wholesale-avails-pricing:v1
                rawRows:
                  maxItems: 5000
                  type: array
                  items:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                csvText:
                  type: string
                  minLength: 1
                  maxLength: 10000000
                jsonText:
                  type: string
                  minLength: 1
                  maxLength: 10000000
                idempotencyKey:
                  type: string
                  minLength: 1
                  maxLength: 200
                revisionId:
                  type: string
                  minLength: 1
                  maxLength: 200
                observedAt:
                  type: string
                  maxLength: 64
              required:
                - contractId
              additionalProperties: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          feedId:
                            type: string
                          sourceId:
                            type: string
                          revision:
                            type: object
                            properties:
                              schemaVersion:
                                type: string
                                const: 1.0.0
                              revisionId:
                                type: string
                              sourceId:
                                type: string
                              profileId:
                                type: string
                              profileVersion:
                                type: string
                              deliverySemantics:
                                type: string
                                enum:
                                  - FULL_REPLACEMENT
                                  - PATCH_UPSERT
                              observedThrough:
                                type: string
                              idempotencyKey:
                                type: string
                              contentDigest:
                                type: string
                              provenance:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              facts:
                                type: array
                                items:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              diagnostics:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    code:
                                      type: string
                                    severity:
                                      type: string
                                      enum:
                                        - error
                                        - warning
                                    rowNumber:
                                      anyOf:
                                        - type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                        - type: 'null'
                                    availId:
                                      type:
                                        - string
                                        - 'null'
                                    message:
                                      type: string
                                  required:
                                    - code
                                    - severity
                                    - rowNumber
                                    - availId
                                    - message
                                  additionalProperties: false
                              validationStatus:
                                type: string
                                enum:
                                  - VALID
                                  - INVALID
                                  - PARTIALLY_VALID
                              commitStatus:
                                type: string
                                enum:
                                  - PREVIEW
                                  - COMMITTED
                                  - REJECTED
                            required:
                              - schemaVersion
                              - revisionId
                              - sourceId
                              - profileId
                              - profileVersion
                              - deliverySemantics
                              - idempotencyKey
                              - contentDigest
                              - provenance
                              - facts
                              - diagnostics
                              - validationStatus
                              - commitStatus
                            additionalProperties: false
                          previewBaseline:
                            type: object
                            properties:
                              previewToken:
                                type: string
                              revisionId:
                                type: string
                              customerId:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              sourceId:
                                type: string
                              profileId:
                                type: string
                              profileVersion:
                                type: string
                              payloadDigest:
                                type: string
                              activeRevisionId:
                                type: string
                              activeCursor:
                                type: string
                              activeSnapshot:
                                type: string
                              createdAt:
                                type: string
                              expiresAt:
                                type: string
                              staleErrorCode:
                                type: string
                                const: STALE_PREVIEW_BASELINE
                            required:
                              - previewToken
                              - revisionId
                              - customerId
                              - sourceId
                              - profileId
                              - profileVersion
                              - payloadDigest
                              - activeRevisionId
                              - activeCursor
                              - activeSnapshot
                              - createdAt
                              - expiresAt
                              - staleErrorCode
                            additionalProperties: false
                        required:
                          - feedId
                          - sourceId
                          - revision
                          - previewBaseline
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````